Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoParetoRanking< EOT > Class Template Reference

Straightforward pareto ranking. More...

`#include <eoParetoRanking.h>`

Inheritance diagram for eoParetoRanking< EOT >:

List of all members.

## Public Member Functions
| eoParetoRanking (eoDominanceMap< EOT > &_dominanceMap)
void | calculate_worths (const eoPop< EOT > &_pop)
| The actual virtual function the derived classes should implement.
## Private Attributes
eoDominanceMap< EOT > & | dominanceMap

## Detailed Description

### template<class EOT>
class eoParetoRanking< EOT >

Straightforward pareto ranking.

Every individual gets a rank according to the number of elements it dominates. Note that without niching, this technique will usually not find the whole front of non-dominated solutions, but will quite likely converge on a single spot on the front.

Definition at line 40 of file eoParetoRanking.h.

The documentation for this class was generated from the following file:

- eoParetoRanking.h